Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021600
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementtrivialN/A2012-09-11 10:162012-09-26 17:18
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionb371ec37d9b4
ProjectionnoneETAnoneTarget Version3.0MP16
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021600: Depreciate flag in Asset Group window

DescriptionIt makes sense to have a Depreciate flag in the Asset Group window to define whether the Assets belonging to this Asset Group should be depreciated or not.

The Depreciate flag inside the Assets window should be set by default to the value configured in the correspondent Asset Group.

The end-user should be able to manually override this value inside the Assets window
Steps To ReproduceSee desc.
Proposed Solution1. Go to the Asset Group window
2. A flag called Depreciate should be displayed
3. When creating a new Asset, the depreciate value should be inherited from the Asset Group
4. The end-user should be able to manually override this value
TagsCoworking
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0051994)
vmromanos (developer)
2012-09-11 15:11

Test plan:
1. Go to the Asset Group window
2. A flag called Depreciate should be displayed
3. Create a new Asset Group, called YES, and set the Depreciate = Y
4. Create a new Asset Group, called NO, and set the Depreciate = N
5. Go to Assets window
6. Create a new Asset
7. The Depreciate flag value is inherited from the selected Asset Group
8. Change the Asset Group to YES. The Depreciate flag should be automatically set to Y
9. Change the Asset Group to NO. The Depreciate flag should be automatically set to N
10. Change the depreciate value to YES and save the record. No error should be displayed.
(0052011)
hgbot (developer)
2012-09-12 09:21

Repository: erp/devel/pi
Changeset: b371ec37d9b43665e50d6f6bec2f2a8bfad5b9e0
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Sep 11 15:27:40 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b371ec37d9b43665e50d6f6bec2f2a8bfad5b9e0 [^]

Fixed bug 21600: Depreciate flag in Asset Group window
Depreciate field is displayed into the Asset Group window (removed
from configScript)
The Depreciate field inside the Assets window inherits from the
selected Asset Category. The SL_Depreciate callout has been developed
for managing this requirement.

---
M modules/org.openbravo.v3/src-db/database/configScript.xml
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
A src/org/openbravo/erpCommon/ad_callouts/SL_Depreciate.java
---
(0052602)
dmiguelez (developer)
2012-09-26 09:49

Code Review + Testing OK
(0052730)
hudsonbot (developer)
2012-09-26 17:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-11 10:16 vmromanos New Issue
2012-09-11 10:16 vmromanos Assigned To => vmromanos
2012-09-11 10:16 vmromanos Modules => Core
2012-09-11 11:23 vmromanos Tag Attached: Coworking
2012-09-11 11:41 vmromanos Status new => scheduled
2012-09-11 11:41 vmromanos fix_in_branch => pi
2012-09-11 15:11 vmromanos Note Added: 0051994
2012-09-12 09:21 hgbot Checkin
2012-09-12 09:21 hgbot Note Added: 0052011
2012-09-12 09:21 hgbot Status scheduled => resolved
2012-09-12 09:21 hgbot Resolution open => fixed
2012-09-12 09:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b371ec37d9b43665e50d6f6bec2f2a8bfad5b9e0 [^]
2012-09-26 09:49 dmiguelez Closed by => dmiguelez
2012-09-26 09:49 dmiguelez Note Added: 0052602
2012-09-26 09:49 dmiguelez Status resolved => closed
2012-09-26 17:18 hudsonbot Checkin
2012-09-26 17:18 hudsonbot Note Added: 0052730


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker